%define name qclam
%define version 0.8
%define release 1
%define buildroot %{_tmppath}/%{name}-root

Summary: QClam - a simple program for QMail to scan incoming messages via ClamAV
Name: %{name}
Version: %version
Release: %release
License: GPL2
Group: Applications/File
BuildRoot: %buildroot
Source0: qclam-%{version}.tar.bz2
Packager: Sergey A, Galin <sergey.galin@gmail.com>
URL: http://sageshome.net/oss/qclam.php

%description
QClam is a simple program to plug ClamAV antivirus to your QMail mailbox. 
It runs from your ~/.qmail file. It receives incoming messages from QMail 
and scans them using clamscan; if a virus found, it returns 99 to QMail 
telling it that the message should not be processed (and it just gets 
removed). If no virus found, or there was an error calling clamscan, 
QClam returns 0 to QMail and it delivers message as usually. QClam also 
writes results of scanning into log file and can save copies of infected
messages.
Features of QClam are that it's written in C++ and doesn't require any 
other software (except OS, QMail and ClamAV) to run; it can be installed 
without "root" privileges; and its size is just a few kilobytes. The main 
goal of QClam is to have a tiny, independent from any libraries (except 
standard runtime), easy to use "jack plug" between QMail and ClamAV.

%prep
%setup -q

%build
make
mkdir -p %buildroot/usr/bin
cp qclam %buildroot/usr/bin
mkdir -p %buildroot/usr/share/doc/qclam-%version
cp *.txt %buildroot/usr/share/doc/qclam-%version

%install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%post
%preun
%files
%attr(755,root,root) /usr/bin/qclam
%attr(644,root,root) /usr/share/doc/qclam-%version/*

%changelog 

* Fri May 11 2007 Sergey Galin <sergey.galin@gmail.com>
  v. 0.8
  - Dropped --mbox option.

* Wed Jan 20 2007 Sergey Galin <sergey.galin@gmail.com>
  v. 0.7
  - Fixed 2 bugs, thanks to Thomas Feichter for spotting.
  - Names of saved infected messages contain date, not timestamp.

* Wed Jan 10 2007 Sergey Galin <sergey.galin@gmail.com>
  v. 0.6, using a patch by Shlomi Fish, http://www.shlomifish.org/
  - Conversion to C.
  - mkstemp() used to create temporary files (more secure) ;-)  
  - A bit of bulletproofing.
  - --group is disabled when compiled with USEMKSTEMP.
      
* Sun Jan 7 2007 Sergey Galin <sergey.galin@gmail.com>      
  v. 0.5
  - Infected files can be saved into a custom directory specified by --infected.
  - Added --temp and --keep_tmp options.
  - tempnam() is used to create temporary file names. If you are concerned about
    "the potential security risk" with tempnam(), use some private directory for
    temporary files (see the --temp option).
  - Added --group option.
  - Added --debug option.
  - Updates to Makefile.
  - Bugfixes.
			    
* Sun Oct 3 2004 Sergey Galin <sergey.galin@gmail.com>

  v. 0.4
  - RPM/SRPM package
  - better AV execution error detection 
  
* Sun Oct 3 2004 Sergey Galin <sergey.galin@gmail.com>

  v. 0.3  
  - clamdscan compatibility
  - debugging options: 
    - --log_stderr option; 
    - QCLAM_DEBUG definition; 
    - "make test" build target builds executable and executes 3 tests
      (requires RAR Archiver (http://rarsoft.com) to unpack Eicar AV test 
      signature from eicar.rar)
  - bugfixes
  
* Sat Oct 2 2004 Sergey A. Galin <sergey.galin@gmail.com>  

  v. 0.2  
  - Added command-line options: --help, --version, --clam (allows to use custom
    path to clamscan executable), --log (allows to write log into a custom file)
  - Changed compiler command from gcc to g++ in Makefile (fixes compiling 
    problems under recent Fedora, ASP Linux updates)
  - Fixed small typos in documentation
    
* Mon Mar 29 2004 Sergey A. Galin <sergey.galin@gmail.com>

  v. 0.1
  - first version released


      
